import React from 'react'
import {CompletarCadastroButton} from '../TabPanels/UserPageTabs/PanelSolicitarContaProfessor.js'
import FormInput from "../FormInput.js"

export default function Default (props) {
    return (
        <div style={{overflow:"hidden", display:"inline-block"}}>
            <h2 style={{fontSize:"32px", fontWeight:"200", marginBottom:"20px"}}>Vamos encontrar a sua conta</h2>
            <form onSubmit={(e) => props.onSubmit(e)}>
                <FormInput
                    inputType={"text"}
                    name={"email"}
                    value={props.value}
                    placeholder={"E-mail"}
                    handleChange={e => props.handleChange(e)}
                    required={true}
                    error = {props.error}
                />
                <div style={{display:"flex", justifyContent:"center"}}>
                    <CompletarCadastroButton onClick={(e) => props.onSubmit(e, props.value)}>BUSCAR</CompletarCadastroButton>
                </div>
            </form>
        </div>
    )
}
