import React from 'react'
import Button from '@material-ui/core/Button';
import styled from 'styled-components'
import CreateNewFolderIcon from '@material-ui/icons/CreateNewFolder';

export default function ButtonGuardarColecao (props) {
    {/*add function*/}
    return (
        <StyledButton>
                <CreateNewFolderIcon/> &nbsp; GUARDAR
        </StyledButton>
    )
}

const StyledButton = styled(Button)`
    color : #666 !important;
    background-color : transparent !important;
    font-size : 14px important;
    font-weight : 500 !important;

    .MuiSvgIcon-root {
        font-size : 24px;
        color : inherit;
    }

    &:hover {
        color: rgb(107, 35, 142) !important;
    }
`
